/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IMethodDD.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;

import java.io.Serializable;
import java.util.List;

/**
 * Interface used for a method element.
 * @author Florent Benoit
 */
public interface IMethodDD extends Serializable {

    /**
     * Gets the name of the method.
     * @return the method's name.
     */
    String getName();

    /**
     * Sets the name of the method.
     * @param name the name of the method.
     */
    void setName(final String name);

    /**
     * Gets the params of this method.
     * @return the method's name.
     */
    List<String> getParams();

    /**
     * Add a param for this method.
     * @param param the given parameter of the method
     */
    void addParam(final String param);

    /**
     * @return name of the EJB.
     */
    String getEjbName();

    /**
     * Sets the name of the EJB.
     * @param ejbName the given name.
     */
    void setEjbName(final String ejbName);

    /**
     * @return string representation of this module.
     */
    String toString();

}
