/**
 * OW2 Util
 * Copyright (C) 2008-2009 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IServiceRef.java 4642 2009-02-19 10:40:57Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;

import java.net.URI;
import java.util.List;

import javax.xml.namespace.QName;

/**
 * Interface used for service-ref element.
 * @author Florent Benoit
 */
public interface IServiceRef extends IResourceGroup {

    /**
     * Name of this element.
     */
    public static final String NAME = "service-ref";

    String getName();

    void setName(String name);

    String getServiceInterface();

    void setServiceInterface(final String serviceInterface);

    QName getServiceQName();

    void setServiceQName(final QName serviceQName);

    String getServiceRefType();

    void setServiceRefType(final String serviceRefType);

    URI getWsdlFile();

    void setWsdlFile(final URI wsdlFile);

    void addPortComponentRef(final IPortComponentRef portComponentRef);

    List<IPortComponentRef> getPortComponentRefList();

    void setHandlerChains(final IHandlerChains handlerChains);

    IHandlerChains getHandlerChains();

}